Subject: Re: future of drivers/macintosh (was Re: CONFIG_PPC != Mac)

From: Joseph Garcia <[email-masked]>
Date: Wed, 02 Aug 2000 16:42:04 -0500

Benjamin Herrenschmidt wrote:
> I don't think there's real need anymore for an adb directory. The only
> file in it would be adb.c. The mouse and kbd drivers are moving to input,
> the controller drivers (Cuda,PMU) do not only ADB but all sort of other
> machine admin tasks (like power control, I2C, ...) and so are needed even
> whithout ADB support as part of "PowerMac" support. Cuda can be shared
> with m68k, maybe PMU too, so drivers/macintosh is not a so bad place for it.

would it be a prudent move to relocate most of drivers/macintosh to
drivers/char, with the exception of mediabay.c to drivers/block/mac-mediabay.c?

Something that fits the current layout scheme in a bi-partisan way.

--
Joseph P. Garcia      [email-masked]      [email-masked]
CS Undergraduate                      Student Employee - Systems Programmer
University of Wisconsin - Madison                            UW Lidar Group

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/